> For the complete documentation index, see [llms.txt](https://docs.peoplelogic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.peoplelogic.dev/api/universal-talent-api/tasks-or-assignments.md).

# Tasks (or Assignments)

Tasks can be associated with nearly all Entity objects in the platform, but appear most often on OKRs, Meetings and IDPs.

## POST /api/v1/entity/{entity}/task

> Create task for entity

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Tasks (or Assignments)","description":"Tasks can be associated with nearly all Entity objects in the platform, but appear most often on OKRs, Meetings and IDPs."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TaskRequest":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"dueDate":{"type":"string","format":"date"},"order":{"type":"integer"},"orderGroup":{"type":"string","format":"uuid"}},"required":["name"]},"Task":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"active":{"type":"boolean"},"status":{"$ref":"#/components/schemas/StatusInfo"},"created":{"$ref":"#/components/schemas/CreationInfo"},"assignees":{"type":"array","items":{"$ref":"#/components/schemas/EntityAssignee"}},"organization":{"type":"string","format":"uuid"},"description":{"type":"string"},"dueDate":{"type":"string","format":"date"},"connectedTo":{"$ref":"#/components/schemas/EntityInfo"},"notes":{"type":"array","items":{"$ref":"#/components/schemas/Note"}},"order":{"type":"integer"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/EntityMapping"}}},"required":["id","name","active","status","created","organization","order"]},"StatusInfo":{"type":"object","properties":{"current":{"type":"string"},"changedAt":{"type":"string","format":"date-time"},"changedBy":{"type":"string","format":"uuid"}},"required":["current"]},"CreationInfo":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid"}},"required":["createdAt"]},"EntityAssignee":{"type":"object","properties":{"entityId":{"type":"string","format":"uuid"},"entityType":{"type":"string"}},"required":["entityId","entityType"]},"EntityInfo":{"type":"object","properties":{"entityId":{"type":"string","format":"uuid"},"type":{"type":"string"},"organization":{"type":"string","format":"uuid"}},"required":["entityId","type"]},"Note":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"author":{"type":"string","format":"uuid"},"createdAt":{"type":"string","format":"date-time"}}},"EntityMapping":{"type":"object","properties":{"app":{"type":"string","format":"uuid"},"namespace":{"type":"string"},"mappedId":{"type":"string"},"reference":{"type":"string"},"mappingData":{"type":"object","additionalProperties":{"type":"string"}},"mappingSecrets":{"type":"object","additionalProperties":{"type":"string"}}},"required":["app","mappedId","mappingData","mappingSecrets"]}}},"paths":{"/api/v1/entity/{entity}/task":{"post":{"tags":["Tasks (or Assignments)"],"summary":"Create task for entity","parameters":[{"name":"entity","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskRequest"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}},"400":{"description":"Bad Request – invalid request payload."},"401":{"description":"Unauthorized – missing or invalid JWT."},"403":{"description":"Forbidden – insufficient permissions."},"404":{"description":"Not Found – no Entity with that ID."}}}}}}
```

## PATCH /api/v1/entity/{entity}/task/{task}

> Update task for entity

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Tasks (or Assignments)","description":"Tasks can be associated with nearly all Entity objects in the platform, but appear most often on OKRs, Meetings and IDPs."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TaskRequest":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"dueDate":{"type":"string","format":"date"},"order":{"type":"integer"},"orderGroup":{"type":"string","format":"uuid"}},"required":["name"]},"Task":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"active":{"type":"boolean"},"status":{"$ref":"#/components/schemas/StatusInfo"},"created":{"$ref":"#/components/schemas/CreationInfo"},"assignees":{"type":"array","items":{"$ref":"#/components/schemas/EntityAssignee"}},"organization":{"type":"string","format":"uuid"},"description":{"type":"string"},"dueDate":{"type":"string","format":"date"},"connectedTo":{"$ref":"#/components/schemas/EntityInfo"},"notes":{"type":"array","items":{"$ref":"#/components/schemas/Note"}},"order":{"type":"integer"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/EntityMapping"}}},"required":["id","name","active","status","created","organization","order"]},"StatusInfo":{"type":"object","properties":{"current":{"type":"string"},"changedAt":{"type":"string","format":"date-time"},"changedBy":{"type":"string","format":"uuid"}},"required":["current"]},"CreationInfo":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid"}},"required":["createdAt"]},"EntityAssignee":{"type":"object","properties":{"entityId":{"type":"string","format":"uuid"},"entityType":{"type":"string"}},"required":["entityId","entityType"]},"EntityInfo":{"type":"object","properties":{"entityId":{"type":"string","format":"uuid"},"type":{"type":"string"},"organization":{"type":"string","format":"uuid"}},"required":["entityId","type"]},"Note":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"author":{"type":"string","format":"uuid"},"createdAt":{"type":"string","format":"date-time"}}},"EntityMapping":{"type":"object","properties":{"app":{"type":"string","format":"uuid"},"namespace":{"type":"string"},"mappedId":{"type":"string"},"reference":{"type":"string"},"mappingData":{"type":"object","additionalProperties":{"type":"string"}},"mappingSecrets":{"type":"object","additionalProperties":{"type":"string"}}},"required":["app","mappedId","mappingData","mappingSecrets"]}}},"paths":{"/api/v1/entity/{entity}/task/{task}":{"patch":{"tags":["Tasks (or Assignments)"],"summary":"Update task for entity","parameters":[{"name":"entity","in":"path","required":true,"schema":{"type":"string"}},{"name":"task","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}},"400":{"description":"Bad Request – invalid request payload."},"401":{"description":"Unauthorized – missing or invalid JWT."},"403":{"description":"Forbidden – insufficient permissions."},"404":{"description":"Not Found – no Entity with that ID."}}}}}}
```

## GET /api/v1/task/{task}

> Get task

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Tasks (or Assignments)","description":"Tasks can be associated with nearly all Entity objects in the platform, but appear most often on OKRs, Meetings and IDPs."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Task":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"active":{"type":"boolean"},"status":{"$ref":"#/components/schemas/StatusInfo"},"created":{"$ref":"#/components/schemas/CreationInfo"},"assignees":{"type":"array","items":{"$ref":"#/components/schemas/EntityAssignee"}},"organization":{"type":"string","format":"uuid"},"description":{"type":"string"},"dueDate":{"type":"string","format":"date"},"connectedTo":{"$ref":"#/components/schemas/EntityInfo"},"notes":{"type":"array","items":{"$ref":"#/components/schemas/Note"}},"order":{"type":"integer"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/EntityMapping"}}},"required":["id","name","active","status","created","organization","order"]},"StatusInfo":{"type":"object","properties":{"current":{"type":"string"},"changedAt":{"type":"string","format":"date-time"},"changedBy":{"type":"string","format":"uuid"}},"required":["current"]},"CreationInfo":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid"}},"required":["createdAt"]},"EntityAssignee":{"type":"object","properties":{"entityId":{"type":"string","format":"uuid"},"entityType":{"type":"string"}},"required":["entityId","entityType"]},"EntityInfo":{"type":"object","properties":{"entityId":{"type":"string","format":"uuid"},"type":{"type":"string"},"organization":{"type":"string","format":"uuid"}},"required":["entityId","type"]},"Note":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"author":{"type":"string","format":"uuid"},"createdAt":{"type":"string","format":"date-time"}}},"EntityMapping":{"type":"object","properties":{"app":{"type":"string","format":"uuid"},"namespace":{"type":"string"},"mappedId":{"type":"string"},"reference":{"type":"string"},"mappingData":{"type":"object","additionalProperties":{"type":"string"}},"mappingSecrets":{"type":"object","additionalProperties":{"type":"string"}}},"required":["app","mappedId","mappingData","mappingSecrets"]}}},"paths":{"/api/v1/task/{task}":{"get":{"tags":["Tasks (or Assignments)"],"summary":"Get task","parameters":[{"name":"task","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}},"400":{"description":"Bad Request – invalid request payload."},"401":{"description":"Unauthorized – missing or invalid JWT."},"403":{"description":"Forbidden – insufficient permissions."},"404":{"description":"Not Found – no Entity with that ID."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.peoplelogic.dev/api/universal-talent-api/tasks-or-assignments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
